
Katello - Bug #4775

activation keys expose label to user

03/21/2014 05:26 PM - Thomas McKay

Status: Resolved   

Priority: Normal   

Assignee: Thomas McKay   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Should activation keys expose activation key labels to user? (Labels were added to act keys for use in backend system candlepin.)

If yes...

+ Allow in sub-mgr calls

+ Allow label to be used as activationkey-id for hammer commands and api

If no...

+ Remove from UI

+ Do not expose in API

Associated revisions

Revision 228808e5 - 03/21/2014 05:33 PM - Thomas McKay

Merge pull request #3856 from thomasmckay/4754-register

fixes #4754 - BZ-1075189 - subscription-manager register w/ activation keys

refs #4775

History

#1 - 03/21/2014 05:34 PM - Thomas McKay

- Status changed from New to Assigned

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 08/18/2014 02:45 PM - Eric Helms

- Status changed from Assigned to Resolved

#6 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
